# List UK8S Node Pools - ListUK8SNodeGroup

## Overview

List UK8S Node Pools






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListUK8SNodeGroup`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **ClusterId** | string | Cluster ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **NodeGroupList** | array[[*NodeGroupSet*](#nodegroupset)] | Node Pool List |No|

#### Data Model


#### NodeGroupSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **NodeGroupId** | string | Node Pool ID |No|
| **NodeGroupName** | string | Node Pool Name |No|
| **ImageId** | string | Image ID |No|
| **MachineType** | string | Machine Type |No|
| **MinimalCpuPlatform** | string | CPU Platform |No|
| **CPU** | int | Number of Virtual CPU Cores |No|
| **Mem** | int | Memory Size |No|
| **GpuType** | string | GPU Type |No|
| **GPU** | int | Number of GPU Card Cores |No|
| **BootDiskType** | string | System Disk Type |No|
| **BootDiskSize** | int | System Disk Size |No|
| **DataDiskSize** | int | Data Disk Size |No|
| **DataDiskType** | string | Data Disk Type |No|
| **Tag** | string | Business Group |No|
| **ChargeType** | string | Payment Method |No|
| **NodeList** | array[string] | Node ID List |No|
| **SubnetId** | string | Subnet ID. Defaults to the subnet ID entered when the cluster was created, but you can also enter the subnet ID within the same VPC as the cluster. |No|
| **IsolationGroupId** | string | Hardware isolation group ID. It can be obtained through DescribeIsolationGroup. |No|
| **MaxPods** | string | int<br />Default is 110, it is recommended to set it to 110 or less in a production environment. |No|
| **UserData** | string | User-defined data. This field can be filled in when the image supports the Cloud-init Feature. Note: 1. The total data size should not exceed 16K; 2. Use base64 encoding. |No|
| **InitScript** | string | User-defined Shell scripts. The difference from UserData is that InitScript is executed after the node initialization is complete, while UserData is executed during the initialization of the UHost. |No|
| **Taints** | string | Node taint, in the form of key=value:effect, multiple taints separated by ",". Supports up to five groups. |No|
| **Labels** | string | Node label. In the form of key=value, separated by "," for multiple groups, up to 5 groups. For example, env=pro,type=game |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=ListUK8SNodeGroup
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=wVpiDplE
&ClusterId=RXIkKKuX
&TopOrgId=8
&OrgId=4
&AzGroup=5
```

### Response Example
    
```json
{
  "Action": "ListUK8SNodeGroupResponse",
  "NodeGroupList": [
    {
      "BootDiskType": "ceGeUMIV",
      "CPU": 6,
      "ChargeType": "addNhDvH",
      "DataDiskSize": 8,
      "DataDiskType": "qqncHfyc",
      "GPU": 7,
      "GpuType": "neHNFfsx",
      "ImageId": "PVoCRmtW",
      "MachineType": "GJXNpRmz",
      "Mem": 7,
      "MinimalCpuPlatform": "uEqOcnpP",
      "NodeGroupId": "ayLygrGZ",
      "NodeGroupName": "svwqEVOH",
      "NodeList": "ndxnQQhO",
      "Tag": "XUcqKwjh"
    }
  ],
  "RetCode": 0
}
```





